/* rec_close - close the REC_FILE fd */
#include "rec_io.h"
int rec_close(fd)
	rec_fd fd;
	{
	REC_FILE *rfp;
	int old_errno = errno;

	errno = 0;
	if (fd < 0 || fd >= REC_NFILE)		/* validate fd */
		return (-1);
	rfp = &rec_files[fd];
	if ((rfp->_status & O_RWMODE) == O_RDONLY)
		return (bin_close(fd));			/* if read-only, all done */
	bin_lseek(fd, (long)0, SEEK_SET);	
	bin_write(fd, rfp, sizeof(*rfp));	/* write new REC_FILE info */
	bin_close(fd);
	if (errno == 0)
		{
		errno = old_errno;
		return (0);
		}
	else
		{
		return (-1);
		}
	}
